local fakeTilesHelper = require("helpers.fake_tiles")

local staticDebrisDashBlock = {}

staticDebrisDashBlock.name = "ChronoHelper/StaticDebrisDashBlock"

staticDebrisDashBlock.placements = {
    name = "Static Debris Dash Block",
    data = {
        width = 8,
        height = 8,
        tiletype = "3",
        blendin = true,
        canDash = true,
        permanent = true,
        attachEntities = false,
        makeStatic = true,
        flagOnBreak = "",
    }
}

staticDebrisDashBlock.sprite = fakeTilesHelper.getEntitySpriteFunction("tiletype", false)
staticDebrisDashBlock.fieldInformation = fakeTilesHelper.getFieldInformation("tiletype")

return staticDebrisDashBlock